
libre-mesh firmware - Bug # 39

Status: New Priority: Normal

Author: Gioacchino Mazzurco Category:

Created: 10/28/2014 Assignee:

Updated: 11/08/2014 Due date:

Subject: VLAN link local ip duplication affects bmx6

Description

similar to issue #32 but for bmx6

History

#1 - 10/28/2014 04:36 pm - Gioacchino Mazzurco

Tue Oct 28 18:13:27 2014 daemon.err bmx6

2246

: WARN  dev_check(): dev=wlan0_adhoc-13 llocal=fe80::290:a9ff:fe0c:1aab already used for dev=eth0-13

idx=0x2

Tue Oct 28 18:13:27 2014 daemon.err bmx6

2246

: WARN  dev_check(): detected valid but disabled dev=wlan0_adhoc-13 !

#2 - 11/05/2014 09:42 am - Gioacchino Mazzurco

- Subject changed from MAC duplication affect bmx6 too to MAC duplication affect batman-adv and bmx6

- Status changed from New to In Progress

- Assignee set to Gioacchino Mazzurco

Vlan interfaces and base interfaces get same ip link local as they must have same MAC, googling I found that vlan interfaces should include their vid

converted to hexadecimal into the link local to avoid duplication, it probably should be linux kernel or netifd who take care of doing this, so we should report

upstream

#3 - 11/05/2014 01:09 pm - Gioacchino Mazzurco

- Subject changed from MAC duplication affect batman-adv and bmx6 to VLAN link local ip duplication affects bmx6

- Priority changed from Urgent to Normal

#4 - 11/08/2014 06:51 pm - Gioacchino Mazzurco

- Status changed from In Progress to New

- Assignee deleted (Gioacchino Mazzurco)

- Target version deleted (14.08)
